#ifndef ExN02MagneticFieldMap_H
#define ExN02MagneticFieldMap_H

#include "G4Field.hh"
#include "G4MagneticField.hh"

class G4FieldManager;

class ExN02MagneticField: public G4MagneticField {

  G4double mya;
  G4double myb;

public:

  ExN02MagneticField(G4double a, G4double b);
	
  ~ExN02MagneticField();

  inline G4double af() { return mya;}
  inline G4double bf() { return myb;}

  // Method to retrieve the field at global Point[4]

  void GetFieldValue( const  G4double Point[4],
		      G4double *Bfield ) const;
	
  protected:

      // Find the global Field Manager
      G4FieldManager* GetGlobalFieldManager();   // static 
			
}; // class ExN02MagneticField

#endif  // ExN02MagneticField_H
