//
// ********************************************************************
// * DISCLAIMER                                                       *
// *                                                                  *
// * The following disclaimer summarizes all the specific disclaimers *
// * of contributors to this software. The specific disclaimers,which *
// * govern, are listed with their locations in:                      *
// *   http://cern.ch/geant4/license                                  *
// *                                                                  *
// * Neither the authors of this software system, nor their employing *
// * institutes,nor the agencies providing financial support for this *
// * work  make  any representation or  warranty, express or implied, *
// * regarding  this  software system or assume any liability for its *
// * use.                                                             *
// *                                                                  *
// * This  code  implementation is the  intellectual property  of the *
// * GEANT4 collaboration.                                            *
// * By copying,  distributing  or modifying the Program (or any work *
// * based  on  the Program)  you indicate  your  acceptance of  this *
// * statement, and all its terms.                                    *
// ********************************************************************
//

#include "ExN04Field.hh"
#include "G4UnitsTable.hh"

ExN04Field::ExN04Field()
{
  slope = -0.134*tesla/cm;
  ynaught = -0.14*tesla;
  zmax = -1.1*cm;
  resid = 100*gauss;
}

ExN04Field::~ExN04Field()
{;}

void ExN04Field::GetFieldValue(const double Point[3],double *Bfield) const
{

  if(Point[2]<zmax)
  { Bfield[0] = slope*Point[2]+ynaught ;}
  else
  { Bfield[0] = resid;}
  Bfield[1] = 0.;
  Bfield[2] = 0.;
}

